Closed Bug 12013 Opened 21 years ago Closed 21 years ago

Install.log: Underline is missing under pretty name

Categories

(Core Graveyard :: Installer: XPInstall Engine, defect, P3, trivial)

All
Windows NT
defect

Tracking

(Not tracked)

VERIFIED FIXED

People

(Reporter: jimmykenlee, Assigned: cathleennscp)

Details

Build: 8/16/99 SeaMonkey build

1. From http://jimbob/trigger2.html, trigger any jar file

RESULT:
The Install.log shows:
---------------------------------------------------------------------------
http://jimbob/jars/a_adddelfile.jar     --     08/16/1999 14:30:19
---------------------------------------------------------------------------

     Acceptance: a_adddelfile


Item [1/1] Installing: C:\Program Files\moz816\x86rel\deletefile\smrtupdt.txt

     Install completed successfully
     Finished Installation  08/16/1999 14:30:20

EXPECTED RESULT:
Put underline under pretty name as shown below or remove blank space below name:

---------------------------------------------------------------------------
http://jimbob/jars/a_adddelfile.jar     --     08/16/1999 14:30:19
---------------------------------------------------------------------------

     Acceptance: a_adddelfile
     ------------------------

Item [1/1] Installing: C:\Program Files\moz816\x86rel\deletefile\smrtupdt.txt

     Install completed successfully
     Finished Installation  08/16/1999 14:30:20
Target Milestone: M15
we'll prep up the log file after beta.
Target Milestone: M15 → M11
need to investigate to see if there is anything wrong with str functions...
Target Milestone: M11 → M15
Target Milestone: M15 → M11
have a simple fix ready, but tree is closed right now...
broken by str class change... using str.SetCharAt(char, i) to set a
character in a string doens't work when the string that you're try to set to is
null to begin with, even if you have already allocated the buffer.

changing code to use Append instead.
Status: NEW → RESOLVED
Closed: 21 years ago
Resolution: --- → FIXED
fix checked in.  will be in the next build.
Status: RESOLVED → VERIFIED
Build 9/29/99

Good on all platforms.
Bulk move of XPInstall (component to be deleted) bugs to Installer: XPInstall
Engine
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.